## rtl8723bs-bluetooth-dkms 150511chestersmill1

=== rtl8723bs-bluetooth/Makefile ===
KVER?= $(shell uname -r)
ifneq ($(KERNELRELEASE),)
	obj-m		:= hci_uart.o
	hci_uart-y	:= hci_ldisc.o hci_h4.o hci_rtk_h5.o rtk_coex.o
	#EXTRA_CFLAGS += -DDEBUG

else
	PWD := $(shell pwd)
	KVER := $(KVER)
	KDIR := /lib/modules/$(KVER)/build

all:
	$(MAKE) -C $(KDIR) M=$(PWD) modules

clean:
	rm -rf *.o *.mod.c *.mod.o *.ko *.symvers *.order *.a

endif

=== debian/changelog ===
rtl8723bs-bluetooth-dkms (150511chestersmill1) trusty; urgency=medium

  * Add license and restrict this to the 3.16 kernel only. (LP: #1460924)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Fri, 05 Jun 2015 11:48:49 +0800

rtl8723bs-bluetooth-dkms (150511) trusty; urgency=medium

  * Bump to 3.1_20150511_8723BS_BTCOEX_20150119-5844. (LP: #1460924)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Tue, 02 Jun 2015 15:08:49 +0800

rtl8723bs-bluetooth-dkms (150212chestersmill1) trusty; urgency=low

  * Automatically packaged by DKMS.

 -- Kai-Heng Feng <kai.heng.feng@canonical.com>  Thu, 05 Mar 2015 14:31:12 +0800

=== debian/control ===
Source: rtl8723bs-bluetooth-dkms
Section: restricted/misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1
Vcs-Browser: https://code.launchpad.net/~chestersmill-team/chestersmill/rtl8723bs-bluetooth-dkms

Package: rtl8723bs-bluetooth-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: rtl8723bs-bluetooth driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=rtl8723bs-bluetooth
NAME=rtl8723bs-bluetooth
VERSION=150511chestersmill1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
